diff --git a/follow_focus.py b/follow_focus.py index c6b4507..5224199 100644 --- a/follow_focus.py +++ b/follow_focus.py @@ -42,6 +42,7 @@ gear_thinkness=10 # Other mount_gap=2 +support_radius=11/2 # Calculated values lid_thicknesss = (part_thinkness-gear_thinkness)/2 @@ -145,17 +146,16 @@ lid = lid.faces('>Z[1]').workplane().center(stepper_center[0], -stepper_center[1 lid = lid.faces('>Z[0]').workplane().circle(5/2).cutThruAll() base = base.faces('Z[0]').workplane().center(21,-20.15)\ - .hLine(t, forConstruction=True)\ - .threePointArc((-t,t/2),(0,-t))\ - .polarLine(t, slant_degree)\ + .hLine(support_radius, forConstruction=True)\ + .threePointArc((-support_radius, support_radius/2),(0,-support_radius))\ + .polarLine(support_radius, slant_degree)\ .close().extrude(-lid_thicknesss+wall_width) lid = lid.faces('>Z[0]').workplane().circle(large_gear_diameter/2-gear_offset).extrude(gear_thinkness/2) lid = lid.faces('>Z[0]').workplane().circle(2).cutThruAll()